# Enchantment display name. It will be shown in item lore.
Name: Auto Reel
# Enchantment tier. Must be a valid tier identifier from the 'tiers.yml'.
Tier: legendary
# Enchantment description. It will be shown in item lore under enchantment name.
# You can use 'Enchantment' placeholders: https://github.com/nulli0n/ExcellentEnchants-spigot/wiki/Internal-Placeholders
Description:
- Automatically reels in a hook on bite.
# Sets whether or not this enchantment will be hidden from Enchants GUI.
Hide_From_List: false
# Sets whether this enchantment is a treasure enchantment.
# Treasure enchantments can only be received via looting, trading, or fishing.
Is_Treasure: false
Level:
  # Sets the minimal (start) enchantment level. Can not be less than 1.
  Min: 1
  # Sets the maximal enchantment level. Can not be less than min. level.
  # Note: While you can 'bypass' this value by enchant commands, all level-dependant enchantment
  # settings will have a limit up to this setting.
  Max: 1
Enchanting_Table:
  # Sets how much XP levels must be used in enchanting table to obtain this enchantment.
  # With a default formula '9 * %enchantment_level%' it will be [9, 18, 27] XP levels for [1, 2, 3] enchantment levels.
  # You can use formulas/expressions here: https://github.com/nulli0n/NexEngine-spigot/wiki/Configuration-Tips#scalable-sections
  # Level placeholder: %enchantment_level%
  Level_By_Exp_Cost: 30 * %enchantment_level%
  # Chance for this enchantment to be obtained via Enchanting_Table
  Chance: 50.0
  Level:
    # Minimal level when obtained via Enchanting_Table
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Enchanting_Table
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
Anvil:
  # Sets how much XP levels will be added to the anvil cost when combining custom enchantments.
  # You can use formulas/expressions here: https://github.com/nulli0n/NexEngine-spigot/wiki/Configuration-Tips#scalable-sections
  # Level placeholder: %enchantment_level%
  Merge_Cost: '%enchantment_level%'
Villagers:
  # Chance for this enchantment to be obtained via Villagers
  Chance: 50.0
  Level:
    # Minimal level when obtained via Villagers
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Villagers
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
Loot_Generation:
  # Chance for this enchantment to be obtained via Loot_Generation
  Chance: 50.0
  Level:
    # Minimal level when obtained via Loot_Generation
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Loot_Generation
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
Fishing:
  # Chance for this enchantment to be obtained via Fishing
  Chance: 50.0
  Level:
    # Minimal level when obtained via Fishing
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Fishing
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
Mob_Spawning:
  # Chance for this enchantment to be obtained via Mob_Spawning
  Chance: 50.0
  Level:
    # Minimal level when obtained via Mob_Spawning
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Mob_Spawning
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
# A list of conflicting enchantment names.
# Conflicting enchantments can not be combined on anvils and obtained together on the same item.
Conflicts: []
Settings:
  # Enables/Disables enchantment visual effects, such as particles.
  Visual_Effects: true
  # The rarity is an attribute of an enchantment.
  # It affects the chance of getting an enchantment from enchanting or loots as well as the combination cost in anvil.
  Rarity: VERY_RARE
  # Enchantment name.
  Name: Auto Reel
  # Enchantment description.
  # You can use 'Enchantment' placeholders: https://nightexpress.gitbook.io/excellentenchants/utility/placeholders
  Description:
  - Automatically reels in a hook on bite.
  Level:
    # Min. enchantment level.
    Min: 1
    # Max. enchantment level.
    Max: 1
  # Sets whether or not this enchantment will be hidden from Enchants GUI.
  Hide_From_List: false
  # Makes this enchantment exclusive for ones in the list.
  # Conflicting enchantments can not be combined on anvils and obtained together on the same item.
  Conflicts: []
  VisualEffects:
    # Enables enchantment visual effects (mostly particles).
    Enabled: true
Distribution:
  # Sets whether this enchantment is a treasure enchantment.
  # Treasure enchantments can only be received via looting, trading, or fishing.
  Treasure: false
  Enchanting_Table:
    # =============== Vanilla Distribution Mode ===============
    # Sets min. **modified** level cost for this enchantment to be selected in enchanting table.
    # Explanation: https://minecraft.wiki/w/Enchanting_mechanics#How_enchantments_are_chosen
    # Vanilla costs: https://minecraft.wiki/w/Enchanting/Levels
    # =============== Custom Distribution Mode ===============
    # Sets min. **plain** level cost for this enchantment to be selected in enchanting table.
    Min_Cost:
      # Start modifier value.
      Base: -44.0
      # Additional value calculated by enchantment level step (see below). Formula: <per_level> * <step>
      Per_Level: 44.0
      # Defines level step for 'Per_Level' value calculation. Formula: <enchant_level> / <step>
      Step: 1.0
      # Sets a limit for the final (base & per level calculations) value.
      # Set '-1' for no limit.
      Cap: -1.0
      # Sets action performed between 'Base' and final 'Per_Level' values.
      # Available types: ADD, MULTIPLY
      Action: ADD
    # =============== Vanilla Distribution Mode ===============
    # Sets max. **modified** level cost for this enchantment to be selected in enchanting table.
    # Explanation: https://minecraft.wiki/w/Enchanting_mechanics#How_enchantments_are_chosen
    # Vanilla costs: https://minecraft.wiki/w/Enchanting/Levels
    # =============== Custom Distribution Mode ===============
    # Sets max. **plain** level cost for this enchantment to be selected in enchanting table.
    Max_Cost:
      # Start modifier value.
      Base: 7.0
      # Additional value calculated by enchantment level step (see below). Formula: <per_level> * <step>
      Per_Level: 45.0
      # Defines level step for 'Per_Level' value calculation. Formula: <enchant_level> / <step>
      Step: 1.0
      # Sets a limit for the final (base & per level calculations) value.
      # Set '-1' for no limit.
      Cap: -1.0
      # Sets action performed between 'Base' and final 'Per_Level' values.
      # Available types: ADD, MULTIPLY
      Action: ADD
  # Sets whether or not this enchantment can be populated in villager trades.
  Tradeable: true
  # Sets whether or not this enchantment can be populated in enchanting table.
  Discoverable: true
